NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ThroughCurvesBuilder Class Reference

Represents a NXOpen.Features.ThroughCurves builder. More...

Inheritance diagram for NXOpen.Features.ThroughCurvesBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BodyPreferenceTypes { Solid, Sheet }
 This enum represents the body type option. More...
 
enum  ConstructionMethod { Normal, SplinePoints, Simple }
 This enum represents the Construction options. More...
 
enum  PatchTypes { Single, Multiple, MatchString }
 This enum represents the Patch options. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.AlignmentMethodBuilder 
Alignment [get]
 Returns the alignment. More...
 
unsafe
NXOpen.Features.ThroughCurvesBuilder.BodyPreferenceTypes 
BodyPreference [get, set]
 Returns or sets the body type options More...
 
unsafe bool ClosedInV [get, set]
 Returns or sets the closed in V. More...
 
unsafe
NXOpen.Features.ThroughCurvesBuilder.ConstructionMethod 
Construction [get, set]
 Returns or sets the construction options. More...
 
unsafe double CurvatureTolerance [get, set]
 Returns or sets the curvature tolerance. More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
FirstSectionContinuity [get]
 Returns the first section continuity. More...
 
unsafe
NXOpen.GeometricUtilities.FlowDirection 
FlowDirection [get]
 Returns the flow direction. More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
LastSectionContinuity [get]
 Returns the last section continuity. More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
LoftingSurfaceRebuildData [get]
 Returns the lofting surface rebuild data. More...
 
unsafe bool NormalToEndSections [get, set]
 Returns or sets the option of normal to end sections for Through Curves surface, which makes the output surface normal to the two end sections. More...
 
unsafe
NXOpen.Features.ThroughCurvesBuilder.PatchTypes 
PatchType [get, set]
 Returns or sets the patch type. More...
 
unsafe double PositionTolerance [get, set]
 Returns or sets the position tolerance. More...
 
unsafe bool PreserveShape [get, set]
 Returns or sets the preserve shape. More...
 
unsafe NXOpen.SectionList SectionsList [get]
 Returns the sections list which is required. More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
SectionSurfaceRebuildData [get]
 Returns the section surface rebuild data. More...
 
unsafe NXOpen.Section SectionTemplateString [get, set]
 Returns or sets the section template curve. More...
 
unsafe double TangentTolerance [get, set]
 Returns or sets the tangent tolerance. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ThroughCurves builder.

This builder lets you create or edit a body through a collection of curve outlines in one direction. The curve outlines are referred to as section strings.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateThroughCurvesBuilder

Default values.

Property Value

Alignment.AlignType

Parameter

ClosedInV

False

Construction

Normal

FirstSectionContinuity.ContinuityType

G0

FlowDirection.FlowDirectionType

NotSpecified

LastSectionContinuity.ContinuityType

G0

LoftingSurfaceRebuildData.Degree

3

LoftingSurfaceRebuildData.RebuildType

None

NormalToEndSections

False

PatchType

Multiple

PreserveShape

True

SectionSurfaceRebuildData.RebuildType

None

Created in NX5.0.0

Member Enumeration Documentation

This enum represents the body type option.

If sections are all closed, if possible then a solid body can be created.

Enumerator
Solid 

Solid

Sheet 

Sheet

This enum represents the Construction options.

Enumerator
Normal 

Use the standard procedures.

SplinePoints 

Use the points and tangent values at the points for reparameterizing curves.

Simple 

Build the simplest mesh surface possible.

This enum represents the Patch options.

Enumerator
Single 

single patch.

Multiple 

multiple patches.

MatchString 

patch match string.

Property Documentation

unsafe NXOpen.GeometricUtilities.AlignmentMethodBuilder NXOpen.Features.ThroughCurvesBuilder.Alignment
get

Returns the alignment.

See NXOpen.GeometricUtilities.AlignmentMethodBuilder for details.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Features.ThroughCurvesBuilder.BodyPreferenceTypes NXOpen.Features.ThroughCurvesBuilder.BodyPreference
getset

Returns or sets the body type options

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe bool NXOpen.Features.ThroughCurvesBuilder.ClosedInV
getset

Returns or sets the closed in V.

When this option is ON, the sheet is closed along columns (that is, the V direction).

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Features.ThroughCurvesBuilder.ConstructionMethod NXOpen.Features.ThroughCurvesBuilder.Construction
getset

Returns or sets the construction options.

Use one of three construction options when you create a Through Curves feature: Normal, Use Spline Points and Simple.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.ThroughCurvesBuilder.CurvatureTolerance
getset

Returns or sets the curvature tolerance.

Control the curvature tolerance of the rebuild surface in relation to the input curves.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.ThroughCurvesBuilder.FirstSectionContinuity
get

Returns the first section continuity.

See NXOpen.GeometricUtilities.Continuity for details. Define continuity constraint at the first section side. It contains the continuity type and the constraint face.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.FlowDirection NXOpen.Features.ThroughCurvesBuilder.FlowDirection
get

Returns the flow direction.

See NXOpen.GeometricUtilities.FlowDirection for details.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.ThroughCurvesBuilder.LastSectionContinuity
get

Returns the last section continuity.

See NXOpen.GeometricUtilities.Continuity for details. Define continuity constraint at the last section side. It contains the continuity type and the constraint face.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.ThroughCurvesBuilder.LoftingSurfaceRebuildData
get

Returns the lofting surface rebuild data.

See NXOpen.GeometricUtilities.Rebuild for details.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe bool NXOpen.Features.ThroughCurvesBuilder.NormalToEndSections
getset

Returns or sets the option of normal to end sections for Through Curves surface, which makes the output surface normal to the two end sections.

If an end section is planar, the surface will be parallel to the plane normal at the end.If an end section is a 3D curve, an average normal vector will be computed, and the surface will be parallel to the average normal at the end. If an end section is a line, the normal vector will be computed so that it points from the end section to the section next to the end section.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Features.ThroughCurvesBuilder.PatchTypes NXOpen.Features.ThroughCurvesBuilder.PatchType
getset

Returns or sets the patch type.

Lets you create a body containing a single patch or multiple patches.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.ThroughCurvesBuilder.PositionTolerance
getset

Returns or sets the position tolerance.

Control the distance accuracy of the rebuild surface in relation to the input curves.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe bool NXOpen.Features.ThroughCurvesBuilder.PreserveShape
getset

Returns or sets the preserve shape.

Allow you to keep sharp edges, overriding the default of approximating the output surface. Setting the Tolerance to 0.0 will achieve the same result.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.SectionList NXOpen.Features.ThroughCurvesBuilder.SectionsList
get

Returns the sections list which is required.

See NXOpen.ObjectList for details. The section strings define the rows of the body. A section string can consist of a single object or multiple objects, and each object can be one of the following: a curve or a solid edge.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.ThroughCurvesBuilder.SectionSurfaceRebuildData
get

Returns the section surface rebuild data.

See NXOpen.GeometricUtilities.Rebuild for details.

Created in NX5.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Section NXOpen.Features.ThroughCurvesBuilder.SectionTemplateString
getset

Returns or sets the section template curve.

Control the building of the simple surface in section curve direction. It is only available when the construction method is simple. If you leave it empty, the system will automatically choose the most complicated one for fitting.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.ThroughCurvesBuilder.TangentTolerance
getset

Returns or sets the tangent tolerance.

Control the angular accuracy of the rebuild surface in relation to the input curves.It is expressed in degree.

Created in NX5.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_freeform_1 ("basic freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.